%define langver 1.2.1

Summary: Graphical LDAP directory browser and editor
Name: gq
Version: 1.2.2
Release: 7%{?dist}
License: GPLv2+
Group: Applications/Internet
URL: http://www.gq-project.org/
Source0: http://dl.sf.net/sourceforge/gqclient/%{name}-%{version}.tar.gz
Source1: http://dl.sf.net/sourceforge/gqclient/%{name}-%{langver}-langpack-1.tar.gz
Patch0: gq-1.2.1-desktop.patch
Patch1: gq-1.2.2-auth.patch
BuildRequires: libgcrypt-devel libglade2-devel
BuildRequires: desktop-file-utils
BuildRequires: gettext gnome-keyring-devel
BuildRequires: openldap-devel openssl-devel
BuildRequires: perl(XML::Parser)
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
GQ is a graphical browser for LDAP directories and schemas.  Using GQ,
an administrator can search through a directory and modify objects
stored in that directory.

%prep
%setup -q
%patch -p1
%patch1 -p2
%setup -q -T -D -a 1

%build

# Set up langpack
%{name}-%{langver}-langpack-1/langpack .
cp -p %{name}-%{langver}-langpack-1/po/LINGUAS po/

%configure --with-included-gettext --disable-update-mimedb --with-default-codeset=UTF-8
# --enable-cache --enable-browser-dnd

make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

desktop-file-install --vendor fedora --delete-original      \
        --dir %{buildroot}%{_datadir}/applications          \
        %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
update-mime-database %{_datadir}/mime &> /dev/null || :

%files -f %{name}.lang
%defattr(-, root, root,-)

%doc AUTHORS ChangeLog COPYING NEWS README* TODO
%{_bindir}/%{name}
%{_datadir}/%{name}/%{name}.glade
%{_datadir}/pixmaps/%{name}/*.xpm
%{_datadir}/pixmaps/%{name}/*.png
%{_datadir}/mime/packages/%{name}-ldif.xml
%{_datadir}/applications/fedora-%{name}.desktop
%dir %{_datadir}/pixmaps/%{name}
%dir %{_datadir}/%{name}

%changelog
* Thu Sep  6 2007 Terje Røsten <terje.rosten@ntnu.no> - 1.2.2-7
- Add default-codeset to configure (fix bz #281431)

* Tue Aug 21 2007 Terje Røsten <terje.rosten@ntnu.no> - 1.2.2-6
- Tag problem

* Sun Aug 19 2007 Terje Røsten <terje.rosten@ntnu.no> - 1.2.2-5
- Fix license tag

* Mon Jun 25 2007 Terje Røsten <terje.rosten@ntnu.no> - 1.2.2-4
- Fix categories in desktop file

* Mon May 20 2007 Terje Røsten <terje.rosten@ntnu.no> - 1.2.2-3
- Add auth patch

* Mon Nov 20 2006 Terje Røsten <terje.rosten@ntnu.no> - 1.2.2-2
- Fix patch/source naming
- Add gettext to BuildReq
- Move %%post/%%postun
- Remove cp macro
- Add libgcrypt-devel to BuildReq

* Sun Nov 19 2006 Terje Røsten <terje.rosten@ntnu.no> - 1.2.2-1
- 1.2.2

* Sun Nov 19 2006 Terje Røsten <terje.rosten@ntnu.no> - 1.2.1-3
- Fix defattr
- Remove X-Fedora as category in desktop file
- libglade2-devel pulls in gtk2-devel and libxml2-devel in BuildReq
- Use perl modules, not perl package name in BuildReq
- Remove ldconfig from %%post
- Fix install of translations
- Remove some macros (rm, make and install)
- Fix mime: script and remove shared-mime-info from BuildReq
- Patch, not replace desktop file
- Switch icon to redhat-system_tools

* Sun Nov 12 2006 Terje Røsten <terje.rosten@ntnu.no> - 1.2.1-2
- Don't use %%makeinstall
- Some more buildreq: gnome-keyring-devel, libglade2-devel
- Add --disable-update-mimedb to configure

* Sat Oct 15 2006 Terje Røsten <terje.rosten@ntnu.no> - 1.2.1-1
- 1.2.1
- Add perl-XML-Parser to buildreq
- Translations broken, skip
- Fix mime stuff (stolen from planner.spec)

* Fri Sep 06 2006 Terje Røsten <terje.rosten@ntnu.no> - 1.2.0-1
- 1.2.0

* Sat Aug 06 2006 Terje Røsten <terje.rosten@ntnu.no> - 1.0.1-1
- 1.0.1

* Tue May 02 2006 Terje Røsten <terje.rosten@ntnu.no> - 1.0.0-4
- Fix source urls

* Tue May 02 2006 Terje Røsten <terje.rosten@ntnu.no> - 1.0.0-3
- More desktop file work

* Mon May 01 2006 Terje Røsten <terje.rosten@ntnu.no> - 1.0.0-2
- Proper desktop file handling
- Drop krb5-devel in buildrequires
- Add langpack

* Fri Apr 28 2006 Terje Røsten <terje.rosten@ntnu.no> - 1.0.0-1
- 1.0.0

* Mon Apr 10 2006 Terje Røsten <terje.rosten@ntnu.no> - 1.0-0.5.rc1
- 1.0-rc1

* Thu Apr 06 2006 Terje Røsten <terje.rosten@ntnu.no> - 1.0-0.4.beta2
- 1.0-beta2
- Remove patches now upstream
- Add libxml2-devel to build requires
- Include pix

* Mon Jun 20 2005 Terje Røsten <terje.rosten@ntnu.no> - 1.0-0.3.beta1
- Fix some rpmlint warnings

* Thu Jun 16 2005 Terje Røsten <terje.rosten@ntnu.no> - 1.0-beta1.0.2
- Build on fc4
- Add gcc4 patch
  <URL: http://sourceforge.net/tracker/index.php?func=detail&aid=1184399&group_id=3805&atid=103805> 

* Wed Mar 29 2005 Terje Røsten <terje.rosten@ntnu.no> - 1.0-beta1.0.1
- OpenLDAP 2.2 patch 
  <URL: http://sourceforge.net/mailarchive/forum.php?thread_id=6736116&forum_id=5986>
- build with: setarch i686 rpmbuild -ba --target=x86-64 ...

* Wed Jun 09 2004 Dag Wieers <dag@wieers.com> - 0.6.0-4
- Merged SPEC file with my version
- Changes to build on older releases
- Added improved desktop file

* Wed May 19 2004 Matthias Saou <http://freshrpms.net/> 1.0-0.beta1.1
- Update to 1.0beta1.
- Rebuild for Fedora Core 2

* Thu Nov 13 2003 Matthias Saou <http://freshrpms.net/> 0.6.0-3
- Rebuild for Fedora Core 1

* Mon Mar 31 2003 Matthias Saou <http://freshrpms.net/>
- Rebuilt for Red Hat Linux 9
- Added new desktop entry
- Added find_lang usage

* Wed Jan 29 2003 Matthias Saou <http://freshrpms.net/>
- Update to 0.6.0

* Tue May 21 2002 Matthias Saou <http://freshrpms.net/>
- Update to 0.5.0

* Fri Feb 22 2002 Nalin Dahyabhai <nalin@redhat.com> 0.4.0-5
- rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jun 19 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Fri Mar  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Tue Feb 20 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 0.4.0, fixes bugs #24160, #24161

* Wed Dec 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 0.3.1

* Fri Dec  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Fri Nov 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- initial package
